parameters:
    protected_routes:
        - sylius_admin_partial_address_log_entry_index
        - sylius_admin_partial_catalog_promotion_show
        - sylius_admin_partial_channel_index
        - sylius_admin_partial_customer_latest
        - sylius_admin_partial_customer_show
        - sylius_admin_partial_order_latest
        - sylius_admin_partial_order_latest_in_channel
        - sylius_admin_get_payment_gateways
        - sylius_admin_partial_product_show
        - sylius_admin_get_attribute_types
        - sylius_admin_get_product_attributes
        - sylius_admin_partial_promotion_show
        - sylius_admin_partial_shipment_ship
        - sylius_admin_partial_taxon_tree
        - sylius_admin_partial_taxon_show
        - sylius_admin_ajax_taxon_root_nodes
        - sylius_admin_ajax_taxon_leafs
        - sylius_admin_ajax_taxon_by_code
        - sylius_admin_ajax_taxon_by_name_phrase
        - sylius_admin_ajax_generate_taxon_slug
        - sylius_admin_ajax_taxon_move
        - sylius_admin_ajax_taxon_move_up
        - sylius_admin_ajax_taxon_move_down
        - sylius_admin_ajax_generate_product_slug
        - sylius_admin_ajax_product_by_name_phrase
        - sylius_admin_ajax_products_by_phrase
        - sylius_admin_ajax_product_by_code
        - sylius_admin_ajax_product_index
        - sylius_admin_render_attribute_forms
        - sylius_admin_ajax_product_taxons_update_position
        - sylius_admin_ajax_product_variants_update_position
        - sylius_admin_ajax_product_variants_by_phrase
        - sylius_admin_ajax_all_product_variants_by_phrase
        - sylius_admin_ajax_product_variants_by_codes
        - sylius_admin_ajax_all_product_variants_by_codes
        - sylius_admin_ajax_customer_groups_by_phrase
        - sylius_admin_ajax_customer_group_by_code
        - sylius_admin_ajax_product_options_by_phrase
        - sylius_admin_ajax_find_product_options
        - sylius_admin_ajax_render_province_form
        - sylius_admin_ajax_get_version
        - sylius_admin_dashboard
        - sylius_admin_dashboard_statistics
        - sylius_admin_impersonate_user
        - sylius_admin_admin_user_index
        - sylius_admin_admin_user_create
        - sylius_admin_admin_user_update
        - sylius_admin_admin_user_bulk_delete
        - sylius_admin_admin_user_delete
        - sylius_admin_admin_user_remove_avatar
        - sylius_admin_catalog_promotion_index
        - sylius_admin_catalog_promotion_create
        - sylius_admin_catalog_promotion_update
        - sylius_admin_catalog_promotion_show
        - sylius_admin_catalog_promotion_product_variant_index
        - sylius_admin_catalog_promotion_delete
        - sylius_admin_channel_index
        - sylius_admin_channel_create
        - sylius_admin_channel_update
        - sylius_admin_channel_bulk_delete
        - sylius_admin_channel_delete
        - sylius_admin_country_index
        - sylius_admin_country_create
        - sylius_admin_country_update
        - sylius_admin_country_bulk_delete
        - sylius_admin_currency_index
        - sylius_admin_currency_create
        - sylius_admin_currency_update
        - sylius_admin_currency_bulk_delete
        - sylius_admin_customer_index
        - sylius_admin_customer_create
        - sylius_admin_customer_update
        - sylius_admin_customer_bulk_delete
        - sylius_admin_customer_show
        - sylius_admin_customer_order_index
        - sylius_admin_customer_orders_statistics
        - sylius_admin_customer_group_index
        - sylius_admin_customer_group_create
        - sylius_admin_customer_group_update
        - sylius_admin_customer_group_bulk_delete
        - sylius_admin_customer_group_delete
        - sylius_admin_exchange_rate_index
        - sylius_admin_exchange_rate_create
        - sylius_admin_exchange_rate_update
        - sylius_admin_exchange_rate_bulk_delete
        - sylius_admin_exchange_rate_delete
        - sylius_admin_inventory_index
        - sylius_admin_locale_index
        - sylius_admin_locale_create
        - sylius_admin_locale_update
        - sylius_admin_locale_bulk_delete
        - sylius_admin_locale_delete
        - sylius_admin_order_index
        - sylius_admin_order_show
        - sylius_admin_order_history
        - sylius_admin_order_update
        - sylius_admin_order_cancel
        - sylius_admin_order_payment_complete
        - sylius_admin_order_payment_refund
        - sylius_admin_order_shipment_ship
        - sylius_admin_order_resend_confirmation_email
        - sylius_admin_payment_index
        - sylius_admin_payment_complete
        - sylius_admin_payment_method_index
        - sylius_admin_payment_method_update
        - sylius_admin_payment_method_bulk_delete
        - sylius_admin_payment_method_delete
        - sylius_admin_payment_method_create
        - sylius_admin_product_bulk_delete
        - sylius_admin_product_delete
        - sylius_admin_product_index
        - sylius_admin_product_update
        - sylius_admin_product_per_taxon_index
        - sylius_admin_product_create
        - sylius_admin_product_create_simple
        - sylius_admin_product_show
        - sylius_admin_channel_pricing_log_entry_index
        - sylius_admin_product_association_type_index
        - sylius_admin_product_association_type_create
        - sylius_admin_product_association_type_update
        - sylius_admin_product_association_type_bulk_delete
        - sylius_admin_product_association_type_delete
        - sylius_admin_product_attribute_index
        - sylius_admin_product_attribute_update
        - sylius_admin_product_attribute_bulk_delete
        - sylius_admin_product_attribute_delete
        - sylius_admin_product_attribute_create
        - sylius_admin_product_option_index
        - sylius_admin_product_option_create
        - sylius_admin_product_option_update
        - sylius_admin_product_option_bulk_delete
        - sylius_admin_product_option_delete
        - sylius_admin_product_review_index
        - sylius_admin_product_review_update
        - sylius_admin_product_review_bulk_delete
        - sylius_admin_product_review_delete
        - sylius_admin_product_review_accept
        - sylius_admin_product_review_reject
        - sylius_admin_product_taxons_update_position
        - sylius_admin_product_variant_index
        - sylius_admin_product_variant_create
        - sylius_admin_product_variant_update
        - sylius_admin_product_variant_bulk_delete
        - sylius_admin_product_variant_delete
        - sylius_admin_product_variant_generate
        - sylius_admin_promotion_index
        - sylius_admin_promotion_create
        - sylius_admin_promotion_update
        - sylius_admin_promotion_bulk_delete
        - sylius_admin_promotion_delete
        - sylius_admin_promotion_archive
        - sylius_admin_promotion_coupon_index
        - sylius_admin_promotion_coupon_create
        - sylius_admin_promotion_coupon_update
        - sylius_admin_promotion_coupon_generate
        - sylius_admin_promotion_coupon_bulk_delete
        - sylius_admin_promotion_coupon_delete
        - sylius_admin_login
        - sylius_admin_login_check
        - sylius_admin_logout
        - sylius_admin_render_reset_password_page
        - sylius_admin_request_password_reset
        - sylius_admin_render_password_reset
        - sylius_admin_password_reset
        - sylius_admin_shipment_index
        - sylius_admin_shipment_ship
        - sylius_admin_shipment_show
        - sylius_admin_shipment_resend_confirmation_email
        - sylius_admin_shipping_category_index
        - sylius_admin_shipping_category_create
        - sylius_admin_shipping_category_update
        - sylius_admin_shipping_category_bulk_delete
        - sylius_admin_shipping_category_delete
        - sylius_admin_shipping_method_index
        - sylius_admin_shipping_method_create
        - sylius_admin_shipping_method_update
        - sylius_admin_shipping_method_bulk_delete
        - sylius_admin_shipping_method_delete
        - sylius_admin_shipping_method_archive
        - sylius_admin_taxon_create
        - sylius_admin_taxon_update
        - sylius_admin_taxon_bulk_delete
        - sylius_admin_taxon_delete
        - sylius_admin_taxon_index
        - sylius_admin_taxon_create_for_parent
        - sylius_admin_shop_user_delete
        - sylius_admin_tax_category_index
        - sylius_admin_tax_category_create
        - sylius_admin_tax_category_update
        - sylius_admin_tax_category_bulk_delete
        - sylius_admin_tax_category_delete
        - sylius_admin_tax_rate_index
        - sylius_admin_tax_rate_create
        - sylius_admin_tax_rate_update
        - sylius_admin_tax_rate_bulk_delete
        - sylius_admin_tax_rate_delete
        - sylius_admin_zone_index
        - sylius_admin_zone_update
        - sylius_admin_zone_bulk_delete
        - sylius_admin_zone_delete
        - sylius_admin_zone_create
        - sylius_paypal_plugin_admin_download_payouts_report
        - sylius_paypal_plugin_admin_enable_seller
        - api_addresses_admin_get_item
        - api_addresses_admin_put_item
        - api_addresses_admin_get_log_entries_item
        - api_adjustments_admin_get_item
        - api_administrators_admin_get_collection
        - api_administrators_admin_post_collection
        - api_administrators_admin_get_item
        - api_administrators_admin_put_item
        - api_administrators_admin_delete_item
        - api_administrators_admin_create_reset_password_request_collection
        - api_administrators_admin_update_reset_password_request_item
        - api_avatar_images_admin_post_collection
        - api_avatar_images_admin_get_item
        - api_avatar_images_admin_delete_item
        - api_catalog_promotions_admin_get_collection
        - api_catalog_promotions_admin_post_collection
        - api_catalog_promotions_admin_get_item
        - api_catalog_promotions_admin_put_item
        - api_catalog_promotions_admin_delete_item
        - api_catalog_promotion_actions_admin_get_item
        - api_catalog_promotion_scopes_admin_get_item
        - api_catalog_promotion_translations_admin_get_item
        - api_channels_admin_get_collection
        - api_channels_admin_post_collection
        - api_channels_admin_get_item
        - api_channels_admin_put_item
        - api_channels_admin_delete_item
        - api_channel_price_history_configs_admin_get_item
        - api_channel_price_history_configs_admin_put_item
        - api_channel_pricings_admin_get_item
        - api_channel_pricing_log_entries_admin_get_collection
        - api_channel_pricing_log_entries_admin_get_item
        - api_countries_admin_get_collection
        - api_countries_admin_post_collection
        - api_countries_admin_get_item
        - api_countries_admin_put_item
        - api_currencies_admin_get_collection
        - api_currencies_admin_post_collection
        - api_currencies_admin_get_item
        - api_customers_admin_get_collection
        - api_customers_admin_post_collection
        - api_customers_admin_get_item
        - api_customers_admin_statistics_get_item
        - api_customers_admin_put_item
        - api_customers_admin_delete_user_item
        - api_customer_groups_admin_get_collection
        - api_customer_groups_admin_post_collection
        - api_customer_groups_admin_get_item
        - api_customer_groups_admin_put_item
        - api_customer_groups_admin_delete_item
        - api_exchange_rates_admin_get_collection
        - api_exchange_rates_admin_post_collection
        - api_exchange_rates_admin_get_item
        - api_exchange_rates_admin_put_item
        - api_exchange_rates_admin_delete_item
        - api_gateway_configs_admin_get_item
        - api_locales_admin_get_collection
        - api_locales_admin_post_collection
        - api_locales_admin_get_item
        - api_locales_admin_delete_item
        - api_orders_admin_get_collection
        - api_orders_admin_get_item
        - api_orders_admin_adjustments_item
        - api_orders_admin_cancel_item
        - api_orders_admin_resend_confirmation_item
        - api_order_items_admin_get_item
        - api_order_item_units_admin_get_item
        - api_payments_admin_get_collection
        - api_payments_admin_get_item
        - api_payments_admin_complete_item
        - api_payment_methods_admin_get_collection
        - api_payment_methods_admin_post_collection
        - api_payment_methods_admin_get_item
        - api_payment_methods_admin_put_item
        - api_payment_methods_admin_delete_item
        - api_payment_method_translations_admin_get_item
        - api_products_admin_get_collection
        - api_products_admin_post_collection
        - api_products_admin_get_item
        - api_products_admin_put_item
        - api_products_admin_delete_item
        - api_product_associations_admin_get_collection
        - api_product_associations_admin_post_collection
        - api_product_associations_admin_get_item
        - api_product_associations_admin_put_item
        - api_product_associations_admin_delete_item
        - api_product_association_types_admin_get_collection
        - api_product_association_types_admin_post_collection
        - api_product_association_types_admin_get_item
        - api_product_association_types_admin_put_item
        - api_product_association_types_admin_delete_item
        - api_product_association_type_translations_admin_get_item
        - api_product_attributes_admin_get_collection
        - api_product_attributes_admin_post_collection
        - api_product_attributes_admin_get_item
        - api_product_attributes_admin_delete_item
        - api_product_attributes_admin_put_item
        - api_product_attribute_translations_admin_get_item
        - api_product_attribute_values_admin_get_item
        - api_product_images_admin_get_collection
        - api_product_images_admin_post_collection
        - api_product_images_admin_get_item
        - api_product_images_admin_put_item
        - api_product_images_admin_delete_item
        - api_product_options_admin_get_collection
        - api_product_options_admin_post_collection
        - api_product_options_admin_get_item
        - api_product_options_admin_put_item
        - api_product_options_admin_delete_item
        - api_product_option_translations_admin_get_item
        - api_product_option_values_admin_get_item
        - api_product_reviews_admin_get_collection
        - api_product_reviews_admin_get_item
        - api_product_reviews_admin_delete_item
        - api_product_reviews_admin_put_item
        - api_product_reviews_admin_accept_item
        - api_product_reviews_admin_reject_item
        - api_product_taxa_admin_get_collection
        - api_product_taxa_admin_post_collection
        - api_product_taxa_admin_get_item
        - api_product_taxa_admin_put_item
        - api_product_taxa_admin_delete_item
        - api_product_translations_admin_get_item
        - api_product_variants_admin_get_collection
        - api_product_variants_admin_post_collection
        - api_product_variants_admin_get_item
        - api_product_variants_admin_put_item
        - api_product_variants_admin_delete_item
        - api_product_variant_translations_admin_get_item
        - api_promotions_admin_post_collection
        - api_promotions_admin_get_collection
        - api_promotions_admin_get_item
        - api_promotions_admin_put_item
        - api_promotions_admin_archive_item
        - api_promotions_admin_restore_item
        - api_promotions_admin_delete_item
        - api_promotion_actions_admin_get_item
        - api_promotion_coupons_admin_get_collection
        - api_promotion_coupons_admin_post_collection
        - api_promotion_coupons_admin_generate_collection
        - api_promotion_coupons_admin_get_item
        - api_promotion_coupons_admin_put_item
        - api_promotion_coupons_admin_delete_item
        - api_promotion_rules_admin_get_item
        - api_promotion_translations_admin_get_item
        - api_provinces_admin_get_item
        - api_provinces_admin_put_item
        - api_shipments_admin_get_collection
        - api_shipments_admin_get_item
        - api_shipments_admin_ship_item
        - api_shipments_admin_resend_confirmation_item
        - api_shipping_categories_admin_get_collection
        - api_shipping_categories_admin_post_collection
        - api_shipping_categories_admin_get_item
        - api_shipping_categories_admin_put_item
        - api_shipping_categories_admin_delete_item
        - api_shipping_methods_admin_get_collection
        - api_shipping_methods_admin_post_collection
        - api_shipping_methods_admin_get_item
        - api_shipping_methods_admin_put_item
        - api_shipping_methods_admin_delete_item
        - api_shipping_methods_admin_archive_item
        - api_shipping_methods_admin_restore_item
        - api_shipping_method_rules_admin_get_item
        - api_shipping_method_translations_admin_get_item
        - api_shop_billing_datas_admin_get_item
        - api_shop_users_admin_get_item
        - api_tax_categories_admin_get_collection
        - api_tax_categories_admin_post_collection
        - api_tax_categories_admin_get_item
        - api_tax_categories_admin_put_item
        - api_tax_categories_admin_delete_item
        - api_tax_rates_admin_get_collection
        - api_tax_rates_admin_post_collection
        - api_tax_rates_admin_get_item
        - api_tax_rates_admin_put_item
        - api_tax_rates_admin_delete_item
        - api_taxa_admin_get_collection
        - api_taxa_admin_post_collection
        - api_taxa_admin_get_item
        - api_taxa_admin_put_item
        - api_taxa_admin_delete_item
        - api_taxon_images_admin_get_collection
        - api_taxon_images_admin_post_collection
        - api_taxon_images_admin_get_item
        - api_taxon_images_admin_put_item
        - api_taxon_images_admin_delete_item
        - api_taxon_translations_admin_get_item
        - api_zones_admin_get_collection
        - api_zones_admin_post_collection
        - api_zones_admin_get_item
        - api_zones_admin_put_item
        - api_zones_admin_delete_item
        - api_zone_members_admin_get_item
        - api_product_bundles_admin_get_product-bundles_collection
        - api_product_bundles_admin_post_product-bundle_collection
        - api_product_bundles_admin_get_product-bundle_item
        - api_product_bundles_admin_put_product-bundle_item
        - api_product_bundles_admin_delete_product-bundle_item
        - sylius_api_admin_authentication_token
        - sylius_api_admin_statistics
        - bitbag_product_bundle_admin_product_create_bundle
        - bitbag_product_bundle_admin_ajax_product_variants_by_phrase
        - bitbag_product_bundle_admin_ajax_product_variants_by_codes
        - app_admin_product_variant_index
        - app_admin_institution_index
        - app_admin_institution_create
        - app_admin_institution_update
        - app_admin_institution_show
        - app_admin_institution_bulk_delete
        - app_admin_institution_delete
        - app_admin_permission_index
        - app_admin_permission_create
        - app_admin_permission_update
        - app_admin_permission_show
        - app_admin_permission_bulk_delete
        - app_admin_permission_delete
        - app_admin_role_index
        - app_admin_role_create
        - app_admin_role_update
        - app_admin_role_show
        - app_admin_role_bulk_delete
        - app_admin_role_delete